package org.myapp.ejb;
 
import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.naming.Context;
import java.util.Hashtable;
import javax.naming.InitialContext;
 
@Stateless
@Remote (ClientInt.class)
public class ClientIntBean implements ClientInt {
 
    @Override
    public String cli(String user) throws Exception{
		 try {
			 System.out.println("inside cli.................");
		Hashtable props = new Hashtable();
            // setup the ejb: namespace URL factory
            props.put(Context.URL_PKG_PREFIXES, "org.jboss.ejb.client.naming");
			Context context = new javax.naming.InitialContext(props);
            Greeter bean = (Greeter) context.lookup("ejb:" + "remoteEJB-1.0" + "/" + "ejbbean-1.0" + "/" + "" + "/" + "GreeterBean" + "!" + "org.myapp.ejb.Greeter");
			String greeting = bean.greet("Booooooooooooooo 2");
			System.out.println("Received greeting: " + greeting);
		return greeting;
		 }catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}