package org.myapp.ejb;
import javax.naming.Context;
import java.util.Hashtable;
import javax.naming.InitialContext;
//import com.enstage.entransact.ibs.services.session.ProcessServiceRequest;
 
public class EJBApplicationClient {

	public static void callme(){
		invokeOnBean();
	}

	public static void invokeOnBean() {
        try {
            final Hashtable props = new Hashtable();
            // setup the ejb: namespace URL factory
            props.put(Context.URL_PKG_PREFIXES, "org.jboss.ejb.client.naming");
			//props.put("jboss.naming.client.ejb.context", true);
			//props.put(Context.SECURITY_PRINCIPAL,"ejb");
			//props.put(Context.SECURITY_CREDENTIALS, "test");
            // create the InitialContext
            final Context context = new javax.naming.InitialContext(props);
 
            // Lookup the Greeter bean using the ejb: namespace syntax which is explained here https://docs.jboss.org/author/display/AS71/EJB+invocations+from+a+remote+client+using+JNDI
            final Greeter bean = (Greeter) context.lookup("ejb:" + "remoteEJB-1.0" + "/" + "ejbbean-1.0" + "/" + "" + "/" + "GreeterBean" + "!" + "org.myapp.ejb.Greeter");
 
            // invoke on the bean
            String greeting = bean.greet("Vinay");
			System.out.println("Received greeting: " + greeting);

			final Getlost gbean = (Getlost) context.lookup("ejb:" + "remoteEJB-1.0" + "/" + "ejbbean-1.0" + "/" + "" + "/" + "GetlostBean" + "!" + "org.myapp.ejb.Getlost");
			greeting = gbean.getlost("Kumar");
            
			System.out.println("Received greeting: " + greeting);

			final ClientInt clibean = (ClientInt) context.lookup("ejb:" + "remoteEJBcli-1.0" + "/" + "ejbbeancli-1.0" + "/" + "" + "/" + "ClientIntBean" + "!" + "org.myapp.ejb.ClientInt");
			greeting = clibean.cli("Booooooooooooooo");
            
			System.out.println("Received greeting: " + greeting);

			/*final ProcessServiceRequest psbean = (ProcessServiceRequest) context.lookup("ejb:IBS/IBSEJB//ProcessServiceRequestBean!com.enstage.entransact.ibs.services.session.ProcessServiceRequest");
			boolean val = 	psbean.getIPin("df","asd","asdasd");*/
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
}
}